Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.mom
Class DefinitionObject

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject`

Direct Known Subclasses:
  ContainerDefImpl, oracle.adf.model.binding.DCDefBase, oracle.jbo.server.DefObject

public abstract class DefinitionObject
extends NamedObjectImpl

Default implementation of DefInterface implemented by all of JBO Definition classes.

Field Summary
`protected DefinitionObject` | `mBaseDefObject`
`protected com.sun.java.util.collections.ArrayList` | `mExtendedDefObjects`
`protected boolean` | `mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`DefinitionObject()`

Method Summary
`protected void` | `addExtendedDefObject(DefinitionObject extendedDefObject)`
`protected void` | `finishedLoading()`
`DefinitionObject` | `getBaseDefObject()`
`ContainerDefImpl` | `getContainerDef()`
`java.lang.String` | `getContainerName()`
`com.sun.java.util.collections.ArrayList` | `getExtendedDefObjects()`
`boolean` | `hasExtendedDefObjects()`
`boolean` | `isBaseDefFor(DefinitionObject def)`
`boolean` | `isDynamicDefinitionObject(DefinitionManager mgr)`
`protected boolean` | `isObjectResolved()`
`protected void` | `loadProperties(DefElement xmlElement)`
`protected void` | `resolveReferences()`
`protected void` | `setBaseDefObject(DefinitionObject baseDefObject)`
`protected void` | `setName(java.lang.String name)` Name this object.
`protected void` | `setObjectResolved(boolean objResolved)`
`protected void` | `setParent(NamedObjectImpl parent)` Sets this object's parent.

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mObjectResolved

    protected boolean mObjectResolved

### mBaseDefObject

    protected DefinitionObject mBaseDefObject

### mExtendedDefObjects

    protected com.sun.java.util.collections.ArrayList mExtendedDefObjects

Constructor Detail

### DefinitionObject

    public DefinitionObject()

Method Detail

### getContainerDef

    public ContainerDefImpl getContainerDef()

### getBaseDefObject

    public DefinitionObject getBaseDefObject()

### hasExtendedDefObjects

    public boolean hasExtendedDefObjects()

### getExtendedDefObjects

    public com.sun.java.util.collections.ArrayList getExtendedDefObjects()

### addExtendedDefObject

    protected void addExtendedDefObject(DefinitionObject extendedDefObject)

### setBaseDefObject

    protected void setBaseDefObject(DefinitionObject baseDefObject)

### isBaseDefFor

    public boolean isBaseDefFor(DefinitionObject def)

### resolveReferences

    protected void resolveReferences()

### finishedLoading

    protected void finishedLoading()

### getContainerName

    public java.lang.String getContainerName()

### isObjectResolved

    protected boolean isObjectResolved()

### setObjectResolved

    protected void setObjectResolved(boolean objResolved)

### loadProperties

    protected void loadProperties(DefElement xmlElement)

  Parameters:
    `xmlElement` - The XML element to load from.

### isDynamicDefinitionObject

    public boolean isDynamicDefinitionObject(DefinitionManager mgr)

### setName

    protected void setName(java.lang.String name)

  Name this object.
  Overrides:
    `setName` in class `NamedObjectImpl`
  Parameters:
    `name` - the name to be given to this object.

### setParent

    protected void setParent(NamedObjectImpl parent)

  Sets this object's parent.
  Overrides:
    `setParent` in class `NamedObjectImpl`
  Parameters:
    `parent` - the named object that is to be the parent of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.